Skip to main content
GET
/
v1
/
agents
/
{agent_id}
curl https://api.ringyo.ai/v1/agents/agent_abc123?include=stats \
  -H "Authorization: Bearer YOUR_API_KEY"
{
  "id": "agent_abc123",
  "name": "Sales Assistant",
  "system_prompt": "You are Sarah, a friendly sales assistant for Acme Corp...",
  "voice_id": "sarah-professional",
  "first_message": "Hi! This is Sarah from Acme Corp...",
  "language": "en-US",
  "model": "gpt-4o",
  "temperature": 0.7,
  "max_tokens": 150,
  "interruption_threshold": 0.5,
  "end_call_phrases": ["goodbye", "that's all"],
  "status": "active",
  "stats": {
    "total_calls": 1250,
    "total_duration_minutes": 4580,
    "avg_call_duration_seconds": 220,
    "success_rate": 0.85
  },
  "metadata": {},
  "created_at": "2024-01-15T10:30:00Z",
  "updated_at": "2024-01-18T14:22:00Z"
}

Request

Retrieve detailed information about a specific AI voice agent.

Headers

Authorization
string
required
Bearer token for authentication. Format: Bearer YOUR_API_KEY

Path Parameters

agent_id
string
required
The unique identifier of the agent (e.g., agent_abc123)

Query Parameters

include
string
Comma-separated list of additional data: stats, recent_calls

Response

id
string
Unique identifier for the agent
name
string
The agent’s display name
system_prompt
string
The agent’s instruction prompt
voice_id
string
The voice ID used by the agent
first_message
string
The agent’s greeting message
language
string
Primary language code
model
string
The LLM powering the agent
status
string
Agent status: active or inactive
stats
object
Usage statistics (when include=stats)
created_at
string
ISO 8601 creation timestamp
updated_at
string
ISO 8601 last update timestamp
curl https://api.ringyo.ai/v1/agents/agent_abc123?include=stats \
  -H "Authorization: Bearer YOUR_API_KEY"
{
  "id": "agent_abc123",
  "name": "Sales Assistant",
  "system_prompt": "You are Sarah, a friendly sales assistant for Acme Corp...",
  "voice_id": "sarah-professional",
  "first_message": "Hi! This is Sarah from Acme Corp...",
  "language": "en-US",
  "model": "gpt-4o",
  "temperature": 0.7,
  "max_tokens": 150,
  "interruption_threshold": 0.5,
  "end_call_phrases": ["goodbye", "that's all"],
  "status": "active",
  "stats": {
    "total_calls": 1250,
    "total_duration_minutes": 4580,
    "avg_call_duration_seconds": 220,
    "success_rate": 0.85
  },
  "metadata": {},
  "created_at": "2024-01-15T10:30:00Z",
  "updated_at": "2024-01-18T14:22:00Z"
}

Error Codes

CodeDescription
agent_not_foundThe specified agent_id does not exist
unauthorizedYou don’t have access to this agent